Bug 593606 - NUMA Key Value Pair
NUMA Key Value Pair
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.5
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
: FutureFeature
Depends On:
Blocks: 593663
  Show dependency treegraph
 
Reported: 2010-05-19 05:57 EDT by CAI Qian
Modified: 2011-09-28 11:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 20:17:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CAI Qian 2010-05-19 05:57:29 EDT
Description of problem:
Some tests need NUMA hardware, so it would be helpful to have something
like NUMA=<numaNode> or NUMA={1,0}. As you know, the NUMA Node can be
checked using.

$ numactl --hardware
Comment 1 David Kovalsky 2010-05-19 06:10:19 EDT
This is a high priority for Platform QE. Bill, can we get this on the Beaker roadmap?
Comment 2 Bill Peck 2010-05-19 08:44:25 EDT
Everything is high priority.  I'm concentrating on regressions and stability at this time.
Comment 3 Dan Callaghan 2010-08-26 01:32:01 EDT
I'll have a crack at this.

From talking to rmancy, my plan of attack will be:

* Finish off all the necessary bits in the TurboGears model (we already have a numa table, but it's unused at present)
* Add some ui to view/edit the number of NUMA nodes for a system
* Add support for filtering by number of NUMA nodes in the recipe XML
* Maybe also update pushInventory.py to populate NUMA info?

As I understand it, key-values are a legacy feature so we won't be adding NUMA info as a key-value.

This task looks pretty substantial, but not too hard, so I might be able to get it done for 0.5.56. And if I'm mistaken about anything, bpeck will be able to set me straight next week once he's back from his holiday :-)
Comment 4 Dan Callaghan 2010-08-31 03:11:38 EDT
http://git.fedorahosted.org/git/?p=beaker.git;a=commitdiff;h=2af55ad3b575d9d87912918edfe543c4c16f6c07

I also have a change to pushInventory.py in CVS, which I will commit once I can get CVS to behave.

Note You need to log in before you can comment on or make changes to this bug.